Skip to main content
POST
Merge a branch

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

modelId
string<uuid>
required

The unique identifier of the model

branchName
string
required

The name of the branch to merge

Body

application/json
delete_branch
boolean
default:false

Delete the branch after merging

publish_drafts
boolean
default:true

When enabled, publish branch-attached drafts when merging

commit_message
string

Custom commit message for git sync. Defaults to "branch <name> merged via API"

Example:

"Merged revenue metrics branch via CI/CD pipeline"

force_override_git_settings
boolean
default:false

Requires Connection Admin or Organization Admin permissions. Users with lesser permissions will receive a 403 Forbidden error when attempting to use this parameter.

Allow merge for PR-required or git-follower models. When enabled, the merge will succeed but git will not be synced to avoid force-pushing to main.

Response

Branch merged successfully

success
boolean

Whether the merge was successful

Example:

true

published_drafts_count
integer

Number of drafts that were published during the merge

Example:

2

failed_drafts_count
integer

Number of drafts that failed to publish

Example:

0

git_synced
boolean

Whether the changes were synced to git

Example:

true